//  -*- C++  -*-

#ifndef PAIR_H
#define PAIR_H

template <class ONE, class TWO>
class pair
{
public:
  pair(ONE one, TWO two): first(one), second(two) {};
  pair() {};
  
  ONE first;
  TWO second;
  int operator == (pair<ONE,TWO> & other);
};

template <class ONE, class TWO>
int pair<ONE,TWO>::operator == (pair<ONE,TWO> & other) 
{
  return (first == other.first && second == other.second);
}

#endif

